import 'package:flutter/material.dart';
import 'package:login_screen/bottomnavigationbar/page1.dart';
import 'package:login_screen/bottomnavigationbar/page2.dart';
import 'package:login_screen/bottomnavigationbar/page3.dart';
import 'package:login_screen/bottomnavigationbar/page4.dart';
import 'package:login_screen/bottomnavigationbar/page5.dart';
import 'package:login_screen/home_screen/homepage1.dart';

class NavBar6 extends StatefulWidget {
  const NavBar6({Key? key}) : super(key: key);
  @override
  State<NavBar6> createState() => _NavBar6State();
}
class _NavBar6State extends State<NavBar6> {
  double length=0;
  double y=0;
  int _selectedIndex = 0;
  List pages = [
    const Page1(),
    const Page2(),
    const Page3(),
    const Page4(),
  ];
  List labels=[
    'Home',
    'Message',
    'Cart',
    'Profile'
  ];
  List icon=[
    Icons.home,
    Icons.message,
    Icons.shopping_cart,
    Icons.person
  ];

  @override
  Widget build(BuildContext context) {
    Size screenSize = MediaQuery.of(context).size;
    const myColor=Colors.teal;
    return Scaffold(

      extendBody: true,
      body: pages[_selectedIndex],
      bottomNavigationBar: Stack(
        alignment: Alignment.bottomCenter, // Align children to the bottom of the Stack
        children: [
          ClipPath(
            clipper: MyClipper(x: length),
            child: Container(
              height: screenSize.height * 0.1,
              width: screenSize.width,
              color: myColor,
            ),
          ),
          Row(
            children: List.generate(
              labels.length,
                  (index) {
                return GestureDetector(
                  onTap: () {
                    setState(() {
                      _selectedIndex = index;
                      length = screenSize.width * 0.25 * index;
                    });
                  },
                  child: AnimatedContainer(
                    height: 100,
                    alignment: Alignment.bottomCenter,
                    duration: const Duration(milliseconds: 200),
                    width: screenSize.width * 0.25,
                    padding: EdgeInsets.only(bottom: _selectedIndex == index ? 30 :5),
                    child: Column(
                      // mainAxisSize: MainAxisSize.min,
                       mainAxisAlignment: MainAxisAlignment.end, // Vertically center-align the children
                      children: [
                        Container(
                          width: 50,
                          height: 50,
                          decoration: BoxDecoration(
                            color: Colors.white,
                              borderRadius: BorderRadius.circular(25),
                            boxShadow: [BoxShadow(color: Colors.grey,blurRadius: 2,spreadRadius: .5)]
                          ),
                          child: Icon(
                            icon[index],
                            color:  myColor,
                            size: _selectedIndex == index ?35:25,
                          ),
                        ),
                        Visibility(
                          visible: _selectedIndex!=index,
                          child: Text(
                            '${labels[index]}',
                            style: TextStyle(
                              color: Colors.white ,
                            ),
                          ),
                        )
                      ],
                    ),
                  ),
                );
              },
            ),
          ),
        ],
      ),
    );





  }


}

class MyClipper extends CustomClipper<Path>{
  double x=0;

   MyClipper({required this.x }) ;

  @override
  Path getClip(Size size) {
    Path path =Path();

    path.moveTo(0+x, size.height*.4);
    path.quadraticBezierTo(size.width*.04+x, size.height*.35, size.width*.055+x, size.height*.2);
    path.quadraticBezierTo(size.width*.075+x, 0, size.width*.12+x, 0);
    path.quadraticBezierTo(size.width*.17+x, 0, size.width*.195+x, size.height*.2);

    path.quadraticBezierTo(size.width*.21+x, size.height*.4, size.width*.24+x, size.height*.4);
    path.lineTo(size.width, size.height*.4);
    path.lineTo(size.width, size.height);
    path.lineTo(0, size.height);
    path.lineTo(0, size.height*.4);
    return path;
  }

  @override
  bool shouldReclip(covariant CustomClipper<Path> oldClipper) {

    return true;
  }

}
